/**
 * Created by mac_henry on 16/6/18.
 */
var GameScene03Layer = cc.Layer.extend({
    ctor: function () {
        this._super();

        var nameStr = "小红，小王，小明，明明，小白，大白，彦祖，冠西，俊凯，仲基，古尔丹，二傻子，史太浓，史小坑，超哥";
        var arrName = nameStr.split("，");
        cc.log("arrName = "+ arrName.length);

        for(var i = 0; i < arrName.length; i++){
            var btn = createButton({img:"t2_com_box3.png",txt:arrName[i],txtSize:30,txtColor:cc.color(62, 65, 67)});
            var x = winCenter().x - btn.width * 2;
            var y = winCenter().y - btn.height * 5;

            var row = i / 3;
            var col = i % 3;
            btn.answer = arrName[i];
            btn.callback = function(){
                var convertPos=this.parent.convertToWorldSpace(cc.p(this.x,this.y));
                if(this.answer=="明明"){
                    showRight(convertPos.x+80,convertPos.y);

                }else{
                    showWrong(convertPos.x,convertPos.y,null,btn["overKey"]);

                }

            }
            this.addChild(btn);
            btn.attr({
                x:x + (btn.width + 80) * col+30 ,
                y:y + row * (btn.height + 60) - (col == 2 ? 100:0)
            });
        }
    }

});

var GameScene03 = GameSceneBase.extend({
    layer: null,
    ctor: function () {
        this._super();
        this.layer = new GameScene03Layer();

        this.layer.scale = 0.85;
        this.addChild(this.layer);
    }
});
