/**
 * Created by eeee on 17/1/4.
 */

var GameScene28Layer=cc.Layer.extend({
    isFlipY:false,
    water:null,
    ctor:function(){
        this._super();

        var water=createLevelSprite("t2_28_box1.png");
        water.attr({
            x:winCenter().x+-58.2,y:winCenter().y+120.5
        });
        this.addChild(water);
        this.water=water;

        var stone=createLevelSprite("t2_28_tone.png");
        stone.attr({
            x:winCenter().x+8.1,y:winCenter().y+-33.8
        });
        this.addChild(stone);

        var wuya=createLevelSprite("t2_28_wuya.png");
        wuya.attr({
            x:winCenter().x+170.6,y:winCenter().y+147.6
        });
        this.addChild(wuya);

        var btnView=createAnswerSelectView({
            A:"扔石头",
            B:"把瓶子砸破",
            C:"飞进去",
            D:"把水倒出来",
            callback:function(){
                closeAccelerometer();
            }
        });
        btnView.attr({
            x:winCenter().x,
            y:winCenter().y-195
        });
        this.addChild(btnView);

    },
    accCallback:function(x,y,z){
        if(y>0.8) {
            if (!this.isFlipY) {
                this.isFlipY=true;
                var _this=this;
                setDelay(this, 0.5, function () {
                    closeAccelerometer();
                    createUnTouchLayer(0,false);

                    setAnimation(_this.water,0.15,[
                        "t2_28_box2.png",
                        "t2_28_box3.png",
                        "t2_28_box4.png"
                    ],false,function(){
                        setDelay(_this,1,function(){
                            showRight();
                        });
                    });
                })
            }
        }else if(this.isFlipY){
            this.isFlipY=false;
            this.stopAllActions();
        }
    }
});

var GameScene28=GameSceneBase.extend({
    layer:null,
    ctor:function(){
        this._super();
        this.layer=new GameScene28Layer();
        this.addChild(this.layer);
    },
    onEnter:function(){
        this._super();
        openAccelerometer();
    }
});