/**
 * Created by eeee on 17/1/4.
 */

var GameScene33Layer=cc.Layer.extend({
    ctor:function(){
        this._super();

        var isTouchApple=false;

        var touchView=new cc.Layer();
        this.addChild(touchView);
        addTouchCallBack(touchView,function(touch){
            if(isTouchApple){
                createUnTouchLayer(0,false);
                setAnimation(apple,0.15,["t2_33_boom_1","t2_33_boom_2"],3);
                setDelay(apple,0.5,function(){
                    apple.visible=false;
                    showWrong();
                });
            }
        },true,function(touch){
            var touchPos=touch.getLocation();
            if(cc.rectContainsPoint(apple.getBoundingBox(),touchPos)){
                isTouchApple=true;
            }
        });

        var apple=createLevelSprite("t2_33_apple_1.png");
        apple.attr({
            x:winCenter().x,y:winCenter().y
        });
        this.addChild(apple);
        addTouchCallBack(apple,function(){
            createUnTouchLayer(0,false);
            removeListener(apple);

            var isClear=false;

            if(apple.y<0 || apple.y>winSize().height){
                isClear=true;
            }

            if(apple.x-apple.width/2<0 || apple.x+apple.width/2>winSize().width){
                isClear=false;
            }

            if(isClear){
                setSpriteTxture(apple,"t2_33_apple_2.png");
                apple.runAction(cc.sequence(
                    cc.moveTo(1,winCenter()),
                    cc.delayTime(0.5),
                    cc.callFunc(function(){
                        showRight();
                    })
                ));
            }else{
                setAnimation(apple,0.15,["t2_33_boom_1","t2_33_boom_2"],3);
                setDelay(apple,0.5,function(){
                    apple.visible=false;
                    showWrong();
                });
            }
        },true,function(touch){
            var delta=touch.getDelta();
            apple.x+=delta.x;
            apple.y+=delta.y;
        });



    }
});

var GameScene33=GameSceneBase.extend({
    layer:null,
    ctor:function(){
        this._super();
        this.layer=new GameScene33Layer();
        this.addChild(this.layer);
    }
});