/**
 * Created by eeee on 17/1/4.
 */

var GameScene35Layer=cc.Layer.extend({
    ctor:function(){
        this._super();

        var kuaizi1=createLevelSprite("t2_35_kuaizi_1.png");
        kuaizi1.attr({
            rotation:101.5,
            x:winCenter().x+5.4,
            y:winCenter().y+113.9
        });
        this.addChild(kuaizi1);

        var kuaizi2=createLevelSprite("t2_35_kuaizi_1.png");
        kuaizi2.attr({
            rotation:57,
            x:winCenter().x+-97.6,
            y:winCenter().y+-70.8
        });
        this.addChild(kuaizi2);

        var kuaizi3=createLevelSprite("t2_35_kuaizi_1.png");
        kuaizi3.attr({
            x:winCenter().x+-75.9,y:winCenter().y+-24.4
        });
        this.addChild(kuaizi3);

        //筷子3的筷子尖碰撞区域
        var hitRect=createRectSprite(18,18);
        hitRect.attr({
            opacity:0,
            y:kuaizi3.height,
            x:10,
            anchorY:1
        });
        kuaizi3.addChild(hitRect);


        //碰撞区域
        var rectList=[];
        for(var i=0;i<6;i++){
            var distancePos=cc.pForAngle(23/180*Math.PI);

            var _rect=createRectSprite(20,20);
            _rect.attr({
                opacity:0,
                x:winCenter().x+44+i*distancePos.x*24,
                y:winCenter().y+140+i*distancePos.y*24,
                anchorY:1
            });
            this.addChild(_rect);
            rectList.push(_rect);
        }

        //筷子列表
        var kuaiziList=[kuaizi1,kuaizi2,kuaizi3];
        for(var i=0;i<kuaiziList.length;i++){
            var parent=kuaiziList[i];

            var rect=createRectSprite(80,127.5);
            rect.attr({
                x:179,
                y:100,
                opacity:0
            });
            rect.num=i+1;
            parent.addChild(rect);
            addTouchCallBack(rect,function(touch,event){
                var target=event.getCurrentTarget();
                var isWrong=true;
                if(target.num==3){
                    var hitRectConvertPos=kuaizi3.convertToWorldSpace(hitRect.getPosition());
                    var hitRectConvertRect=cc.rect(hitRectConvertPos.x,hitRectConvertPos.y,hitRect.width,hitRect.height);

                    //检查当前筷子3的筷子尖是否碰到碰撞区域
                    for(var i=0;i<rectList.length;i++){
                        if(cc.rectIntersectsRect(rectList[i].getBoundingBox(),hitRectConvertRect)){
                            isWrong=false;
                            break;
                        }
                    }

                    if(!isWrong){
                        showRight();
                    }
                }

                if(isWrong){
                    showWrong();
                }
            },true,function(touch,event,delta){
                var target=event.getCurrentTarget();
                target["parent"].x+=delta.x;
                target["parent"].y+=delta.y;
            })
        }



    }
});

var GameScene35=GameSceneBase.extend({
    layer:null,
    ctor:function(){
        this._super();
        this.layer=new GameScene35Layer();
        this.addChild(this.layer);
    }
});