/**
 * Created by eeee on 17/1/5.
 */

var GameScene41Layer=cc.Layer.extend({
    selectNum:0,
    ctor:function(){
        this._super();
        var _this=this;

        var touchView=new cc.Layer();
        this.addChild(touchView);
        addTouchCallBack(touchView,function(touch){
            var touchPos=touch.getLocation();
            showWrong(touchPos.x,touchPos.y);
        });

        var wordRect=createRectSprite(45,45);
        wordRect.attr({
            x:235,
            y:winSize().height-166,
            opacity:0
        });
        this.addChild(wordRect);
        addTouchCallBack(wordRect);
        wordRect.beganCallback=function(){
            _this.selectBingo(this);
        }


        var bg=createLevelSprite("t2_41_shi.png");
        bg.attr({
            x:winCenter().x,y:winCenter().y+100
        });
        this.addChild(bg);


        var tu=createLevelSprite("t2_41_tu.png");
        tu.attr({
            x:bg.x-60.1,y:bg.y+6.5
        });
        this.addChild(tu);
        addTouchCallBack(tu);
        tu.beganCallback=function(){
            _this.selectBingo(this);
        }

    },
    selectBingo:function(sprite){
        this.selectNum++;

        addCircles(cc.director.getRunningScene(),sprite.x,sprite.y,0.7);
        sprite.beganCallback=null;

        if(this.selectNum==2){
            this.stopAllActions();
            showRight();
        }else{
            setDelay(this,0.15,function(){
                showWrong();
            });
        }
    }
});

var GameScene41=GameSceneBase.extend({
    layer:null,
    ctor:function(){
        this._super();
        this.layer=new GameScene41Layer();
        this.addChild(this.layer);
    }
});