/**
 * Created by xuy on 17/1/4.
 */
var GameScene84Layer = cc.Layer.extend({
    ctor: function () {
        this._super();

        var sprite1 = createLevelSprite("t2_84_rabbit.png");
        sprite1.attr({
            x: winCenter().x + 200,
            y: winCenter().y - 100
        });
        this.addChild(sprite1);
        addTouchCallBack(sprite1,function(){
            showWrong(sprite1.x,sprite1.y);
        });


        var dialog1 = createLevelSprite("t2_84_dialogue.png");
        dialog1.attr({
            x: sprite1.x - 10,
            y: sprite1.y + 110
        });
        this.addChild(dialog1);

        var label1 = createLabel("好!", 24 , cc.color(255,255,255));
        label1.attr({
            x: dialog1.x - 10,
            y: dialog1.y + 30
        });
        this.addChild(label1);

        var sprite2 = createLevelSprite("t2_84_tortoise_1.png");
        sprite2.attr({
            x: winCenter().x - sprite1.width,
            y: winCenter().y - 100
        });
        this.addChild(sprite2);
        addTouchCallBack(sprite2,function(){
            showWrong(sprite2.x,sprite2.y);
        });

        var dialog2 = createLevelSprite("t2_84_dialogue.png");
        dialog2.attr({
            x: sprite2.x + 110,
            y: sprite2.y + 90
        });
        this.addChild(dialog2);

        var label2 = createLabel("谁先到家算谁赢？", 24 , cc.color(255,255,255));
        label2.attr({
            x: dialog2.x - 95,
            y: dialog2.y + 20
        });
        this.addChild(label2);

        var rect=createRectSprite(90,90);
        rect.attr({
            x:sprite2.width - 45,
            y:sprite2.height/2 + 15,
            opacity:0
        });
        sprite2.addChild(rect);
        addTouchCallBack(rect);
        var pos;
        rect.beganCallback=function(touch){
            pos=touch.getLocation();
        }
        rect.endCallback=function(touch){
            var pos1=touch.getLocation();	//当前鼠标坐标点
            if(pos.x - pos1.x >= 30){
                setSpriteTxture(sprite2,"t2_84_tortoise_2.png");
                dialog2.removeFromParent();
                label2.removeFromParent();
                label1.setString("操!");
                showRight(sprite2.x,sprite2.y);
            }
        }

    }
});

var GameScene84 = GameSceneBase.extend({
    layer: null,
    ctor: function () {
        this._super();
        this.layer = new GameScene84Layer();
        this.addChild(this.layer);
    }
});