var HelloWorldLayer = cc.Layer.extend({
    sprite: null,
    sprite2: null,
    ctor: function () {
        this._super();
        this.size = cc.director.getWinSize();

        imgSearchPath="res_MainScene";

        ////点击胜利按钮
        //var winBtn = createScale9Button({img: getResImg("guanq_prompt_btn5")});
        //winBtn.attr({
        //    width: 250,
        //    height: 120,
        //    x: this.size.width / 2,
        //    y: this.size.height / 1.5
        //});
        //this.addChild(winBtn);
        //var winBtnLabel = createLabel("点击胜利", 30);
        //winBtnLabel.attr({
        //    x: winBtn.width / 2,
        //    y: winBtn.height / 2,
        //    color: cc.color(0, 0, 0)
        //});
        //winBtn.addChild(winBtnLabel);
        //winBtn.callback = function () {
        //    this.gameWin();
        //}.bind(this);
        //
        ////点击失败按钮
        //var faileBtn = createScale9Button({img: getResImg("guanq_prompt_btn5")});
        //faileBtn.attr({
        //    width: 250,
        //    height: 120,
        //    x: this.size.width / 2,
        //    y: this.size.height / 1.5 - 120
        //});
        //this.addChild(faileBtn);
        //var faileBtnLabel = createLabel("点击失败", 30);
        //faileBtnLabel.attr({
        //    x: faileBtn.width / 2,
        //    y: faileBtn.height / 2,
        //    color: cc.color(0, 0, 0)
        //});
        //faileBtn.addChild(faileBtnLabel);
        //faileBtn.callback = function () {
        //    this.gameOver("game_over");
        //}.bind(this);


        /**
         * 创建文字
         */
        var label = createLabel("测试关卡", 30 , cc.color(255,255,0));
        label.attr({
            x: winSize().width / 2,
            y: winSize().height / 1.5 + 220
        });
        this.addChild(label);


        /**
         * 输入成语
         */
        var wArr = [
            "颜", "天", "有", "五", "通", "小", "一", "涌",
            "心", "光", "女", "包", "六", "大", "杰", "胆",
            "涛", "男", "水", "色", "汹", "语", "波", "十"
        ];

        var box=createIdiomView(wArr,2,function(text){
            cc.log("当前输入答案：",text);

            if(text!=""){
                //胜利
                box.gameWin();
            }else{
                //失败
                box.gameOver();
            }

        });
        box.attr({
            x:winCenter().x,
            y:winCenter().y+75
        });
        this.addChild(box);


        /**
         * 选择数字
         */
        var numSelect=numSelectView();

        numSelect.callback=function(num){
            cc.log("当前数字：",num);

            if(num==1){
                //胜利
                numSelect.gameWin();
            }else{
                //失败
                numSelect.gameOver();
            }
        }

        numSelect.attr({
            x:winCenter().x,
            y:winCenter().y-175
        });
        this.addChild(numSelect);


        /**
         * 创建测试精灵（图片）【测试时可拖动】
         */
        var sprite = createPosSprite("guanq_prompt_btn5");
        this.addChild(sprite);



        /**
         * 创建选择按钮面板
         */
        var answerSelect=createAnswerSelectView({
            A:"猫",
            B:"猪",
            C:"狗",
            D:"蛇",
            answer:"B"
        });
        answerSelect.attr({
            x:winCenter().x,
            y:winCenter().y-360
        });
        this.addChild(answerSelect);

        //var answerSelect2=createAnswerSelectView({
        //    A:{img:"home_btn_volume.png"},
        //    B:{img:"home_btn_volume.png"},
        //    C:{img:"home_btn_volume.png"},
        //    D:{img:"home_btn_volume.png"},
        //    answer:"B"
        //});
        //answerSelect2.attr({
        //    x:winCenter().x,
        //    y:winCenter().y
        //});
        //this.addChild(answerSelect2);

        //var answerSelect3=createAnswerSelectView({
        //    A:{img:"home_Character_xiaokeng1.png",txt:"不过"},
        //    B:{img:"home_btn_volume.png",txt:"过关"},
        //    C:{img:"home_btn_volume.png",txt:"不过"},
        //    D:{img:"home_Character_xiaokeng4.png",txt:"不过"},
        //    answer:"B"
        //});
        //answerSelect3.attr({
        //    x:winCenter().x,
        //    y:winCenter().y
        //});
        //this.addChild(answerSelect3);


        return true;
    },
    onEnter: function () {
        this._super();
    },
    gameOver: function (faileKey) {

        //失败的时候调用父节点（当前场景）的gameOver方法，传入失败KEY（对应配置表不同的文案）
        this.getParent().gameOver(faileKey);
    },
    gameWin: function () {
        //游戏胜利的时候调用当前场景的gameWin方法
        this.getParent().gameWin();
    },
    propCallBack: function (tag, pos) {
        switch (tag) {
            case "prop1":
                if (this.sprite2 && cc.rectContainsPoint(this.sprite2.getBoundingBox(), pos)) {
                    this.sprite2.removeFromParent();
                    this.sprite2 = null;
                    return true;
                }
                break;
            default:
                break;
        }
    }
});

var HelloWorldScene = GameSceneBase.extend({
    layer: null,
    ctor: function () {
        this._super();
        this.layer = new HelloWorldLayer();
        this.addChild(this.layer);

    },
    pauseTheGame: function () {
        //暂停游戏处理
    },
    resumeTheGame: function () {
        //恢复游戏处理
    }
});

