/**
 * Created by weicheng on 15/10/13.
 *
 * 提示弹框类
 */

var GameTipsViewBase = PanelViewBase.extend({
    titleName: "",
    closeCallback: null,
    titleTexture: null,
    ctor: function (titleName, closeCallback, titleTexture) {
        this._super();
        this.titleName = titleName;
        this.closeCallback = closeCallback;
        this.titleTexture = titleTexture;
        this.createFrame();
    },
    createFrame: function () {
        this.frame = createLevelSprite("panel_2.png");
        if(cc.winSize.width/cc.winSize.height<0.53){
            this.frame.scale=1-2*Math.ceil(53-(cc.winSize.width/cc.winSize.height)*100)/100;
        }

        this.nodeUI_.addChild(this.frame);

        // //标题
         var title = createSprite(this.titleTexture || getResImg("panel_title"));
         title.attr({
             x: this.frame.width / 2,
             y: this.frame.height
         });
         this.frame.addChild(title);
        //
        // if (!this.titleTexture) {
        //     var titleTop = createLevelSprite("box_hat.png");
        //     titleTop.attr({
        //         anchorY: 0,
        //         x: 17,
        //         y: title.height - 30
        //     });
        //     title.addChild(titleTop);
        // }

         var titleLabel = createLabel(this.titleName, 47,cc.color(79,76,75));
         titleLabel.attr({
             x: title.width / 2+15,
             y: title.height/2-2
         });
         title.addChild(titleLabel);
         this.titleLabel = titleLabel;

        // //box
        // var box = createLevelSprite("box_man.png");
        // box.attr({
        //     anchorX: 0,
        //     anchorY: 0,
        //     x: 406.5,
        //     y: 10
        // });
        // this.frame.addChild(box);

        //关闭按钮
        var closeBtn = createButton({img: getResImg("guanq_prompt_btn6.png")});
        closeBtn.attr({
            x: this.frame.width - 20,
            y: this.frame.height - 20
        });
        this.frame.addChild(closeBtn);
        closeBtn.callback = function () {
            this.onClose(this.closeCallback);
        }.bind(this);
    }
});