/**
 * Created by weicheng on 15/10/21.
 */
var LoadingLayer = SwallowViewBase.extend({
    ctor: function () {
        this._super();
        this.initSurface();
        isLoading = 1;
    },
    initSurface: function () {

        var size = cc.director.getWinSize();
        // bg
        var bgLayer = new cc.LayerColor(cc.color(255, 255, 255, 255));
        this.addChild(bgLayer, 0);
        // var _gifs=[];
        // for(var i=1;i<=8;i++){
        //     _gifs[i-1]=getResImg("loading_man"+i,"res_Loading");
        // }
        //
        // var animFrames=[];
        // for(var i= 0;i<4;i++){
        //     for(var j= 0;j<2;j++){
        //         animFrames.push(_gifs[j]);
        //     }
        // }
        // for(var i= 2,len=8;i<len;i++){
        //     animFrames.push(_gifs[i]);
        // }
        // for(var j=0;j<2;j++){
        //     for(var i= 5,len=8;i<len;i++){
        //         animFrames.push(_gifs[i]);
        //     }
        // }
        // for(var i= 4,len=1;i<len;i--){
        //     animFrames.push(_gifs[i]);
        // }
        var _gifs = [];
        for (var i = 1; i <= 7; i++) {
            _gifs[i - 1] = getResImg("jiazhaiyemian_jse" + i, "res_Loading");
        }
        var animateAction = getAnimation(0.1, _gifs).repeatForever();

        var man = createSprite(_gifs[0]);
        man.attr({
            x: size.width / 2,
            y: size.height / 2
        });
        this.addChild(man);
        man.runAction(animateAction);

        var loadingTxt = createSprite(getResImg("loading_txt", "res_Loading"));
        loadingTxt.attr({
            x: size.width / 2,
            y: size.height / 2 - 160,
            color: cc.color(0, 0, 0)
        });
        this.addChild(loadingTxt);
    },
    onClose: function (callback) {
        this.runAction(cc.sequence(
            cc.fadeOut(0.1),
            cc.removeSelf(),
            cc.callFunc(function () {
                if (callback)callback();
            })
        ));
        isLoading = 0;
    },
    addToCurScene: function () {
        var curScene = cc.director.getRunningScene();
        curScene.addChild(this, 999);
    }
});