/**
 * Created by weicheng on 15/10/7.
 *
 * 面板类
 */

var PanelViewBase = SwallowViewBase.extend({
    nodeUI_: null,
    size: null,
    ctor: function () {
        this._super();
        this.size = cc.director.getWinSize();

        this.nodeUI_ = new cc.Node();
        this.nodeUI_.attr({
            x: this.size.width / 2,
            y: this.size.height / 2
        });
        this.addChild(this.nodeUI_);

    },
    initSurface: function () {
        //添加节点在这个函数操作，添加到this.nodeUI_上面，默认是居中位置
    },
    onClose: function (callback) {
        if (typeof(callback) == "function")callback();
        this.nodeUI_.runAction(cc.sequence(
            cc.scaleTo(0.09, 0.01),
            cc.removeSelf()
        ));
        this.runAction(cc.sequence(
            cc.fadeOut(0.1),
            cc.removeSelf()
        ));

    },
    addToCurScene: function () {
        var curScene = cc.director.getRunningScene();
        curScene.addChild(this, 99);

        this.nodeUI_.runAction(cc.sequence(
            cc.scaleTo(0.1, 1.2),
            cc.scaleTo(0.1, 1)
        ));

        return this;
    }
});