/**
 * Created by weicheng on 15/10/13.
 *
 * 设置窗口
 */

var SettingLayer = GameTipsViewBase.extend({
    ctor: function () {
        this._super("设 置");
        this.initSurface();
    },
    initSurface: function () {

        //音乐文本
        var musicTxt = createSprite(getResImg("pause_txt_music", "res_GameOver"));
        musicTxt.attr({
            x: -140,
            y: 30
        });
        this.nodeUI_.addChild(musicTxt);

        //音乐开关按钮
        var musicOffBtn = createButton({img: getResImg(getMusicOffStatus() == "0" ? "pause_music_close" : "pause_music_open", "res_GameOver")});
        musicOffBtn.attr({
            x: musicTxt.width / 2 + 140,
            y: musicTxt.height / 2
        });
        musicTxt.addChild(musicOffBtn);
        musicOffBtn.callback = function () {
            if (getMusicOffStatus() == "0") {
                setSoundOpenOrNot(true);
                setSpriteTxture(this, getResImg("pause_music_open", "res_GameOver"));
            } else {
                setSoundOpenOrNot(false);
                setSpriteTxture(this, getResImg("pause_music_close", "res_GameOver"));
            }
        };

        musicOffBtn.line = createSprite();


        //坑爹男
        var man = createSprite(getResImg("pause_man", "res_GameOver"));
        man.attr({
            x: musicTxt.width / 2 + 290,
            y: musicTxt.height / 2 + 10
        });
        musicTxt.addChild(man);


        if (isMobile("iOS")) {
            musicTxt.attr({y: 65});

            //点评按钮
            var commentBtn = createButton({img: getResImg("setting_btn_02", "res_Panel")});
            commentBtn.attr({
                x: 0,
                y: -115
            });
            this.nodeUI_.addChild(commentBtn);
            var commentLabel = createLabel("点评", 24);
            commentLabel.attr({
                x: commentBtn.width / 2,
                y: 30,
                color: cc.color(56, 66, 85)
            });
            commentBtn.addChild(commentLabel);
            commentBtn.callback = function () {
                trace("点评");
                CommonPlatform.getInstance().directComment();
            }
        }

    }
});