/**
 * Created by eeee on 16/10/18.
 */

var disclaimerLayer=PanelViewBase.extend({
    ctor:function(){
        this._super();
        this.initSurface();
    },
    initSurface:function(){
        this.frame=createScale9Sprite(getResImg("panel_3.png"));
        //this.frame.width=580;
        //this.frame.height=430;
        this.nodeUI_.addChild(this.frame);

        var view=this.createScrollView();
        view.attr({
            y:40,
            x:30
        });
        this.frame.addChild(view);


        //关闭按钮
        var closeBtn = createButton({img: getResImg("guanq_prompt_btn6.png")});
        closeBtn.attr({
            x: this.frame.width - 20,
            y: this.frame.height - 20
        });
        this.frame.addChild(closeBtn,10);
        closeBtn.callback = function () {
            this.onClose(this.closeCallback);
        }.bind(this);
    },
    createScrollView:function(){

        var scrollView=new ccui.ScrollView();
        scrollView.setDirection(ccui.ScrollView.DIR_VERTICAL);
        scrollView.setTouchEnabled(true);
        scrollView.setBounceEnabled(false);
        scrollView.setContentSize(cc.size(this.frame.width-60,this.frame.height-110));
        scrollView.addTouchEventListener(function(sender,type){
            switch(type){
                case ccui.Widget.TOUCH_MOVED:
                    sender.getInnerContainer().stopAllActions();
                    break;
                default:
                    break;
            }
        },this);

        var node=new cc.Node();
        node.attr({
            x:200
        });
        scrollView.addChild(node);

        //内容
        var txtImgList=[
            getResImg("about_txt_01","res_Panel"),    //title
            // getResImg("about_txt_02","res_Panel"),    //微信号、官网
            // getResImg("about_txt_03","res_Panel")    //合作单位
        ];

        //审核中不显示微信号
        if(isReview==1){
            // txtImgList.splice(1,2);
        }

        //电信平台添加免责声明
        if( isMobile("Android") && getChannel()=="play"){
            txtImgList.push(getResImg("about_txt_04","res_Panel"));
        }
        // var text;
        // if(getOnlineData("aboutContent")!=""){
        //     var txt = getOnlineData("aboutContent");
        //     if(typeof txt=="string")txt=txt.replace(/\|/g,"\n");
        //     text = createLabel(txt,30);
        // }else {
        //     text = createLabel("史小坑游戏出品" +
        //         "\n" +
        //         "微信、微博：史小坑游戏" +
        //         "\n" +
        //         "史小坑家族QQ群：721028361" +
        //         "\n" +
        //         "官方网站：www.kdyx.cn" +
        //         "\n" +
        //         "点子征集邮箱：keng@kdyx.cn",30);
        // }
        // text.attr({
        //         x:205,
        //         y:this.frame.height/2.5,
        //         width: this.frame.width,
        //         height:this.frame.height
        //     }
        // );
        // scrollView.addChild(text);

        var txtList=[];
        for(var i=0;i<txtImgList.length;i++){
            var txt=createSprite(txtImgList[i]);
            txt.attr({
                anchorY:1,
                y:i>0?-(Math.abs(txtList[i-1].y)+txtList[i-1].height+50):0
            });
            node.addChild(txt);
            txtList[i]=txt;

        }

        //内容总高度
        var contentHeight=200;
        for(var i=0;i<txtList.length;i++){
            contentHeight+=txtList[i].height;
        }
        node.y=contentHeight;
        scrollView.setInnerContainerSize(cc.size(520,contentHeight));
        scrollView.getInnerContainer().runAction(
            cc.sequence(cc.delayTime(1),
                cc.moveTo(5,cc.p(0,0))
            ));

        return scrollView;
    }
});