/**
 * Created by weicheng on 15/10/6.
 *
 * 加载页面
 */

var LoadingScene = cc.Scene.extend({
    ctor: function () {
        this._super();
        var size = cc.director.getWinSize();

        var spriteFrameList = [
            getResImg("spriteFrames.plist", "res_common"),
            getResImg("spriteFrames.plist", "res_Panel"),
            getResImg("spriteFrames.plist", "res_storeLayer")
        ];

        if (isWebTest == 1 || (isWebTest != 1 && isWeb != 1) || isWeb == 2 || isMobile()) {
            spriteFrameList.push(getResImg("spriteFrames.plist", "res_MainScene"));
            spriteFrameList.push(getResImg("spriteFrames.plist", "res_levelSelect"));
        }

// //        trace("——————————————开始添加精灵缓存————————————————");
//         cc.spriteFrameCache.addSpriteFrames(getResImg("spriteFrames.plist", "res_Loading"));
//
//         var index = 0;
//         this.runAction(cc.sequence(
//             cc.callFunc(function () {
//                 if (index < spriteFrameList.length) {
//                     cc.spriteFrameCache.addSpriteFrames(spriteFrameList[index]);
// //                    trace(spriteFrameList[index]);
//                     index++;
//                 } else {
// //                    trace("——————————————添加完毕————————————————");
//
//                     if (isWeb == 1 && isBrowser()) {
//                         cc.director.runScene(new ReadyScene(_preSelectLevel));
//                     } else {
//                         cc.director.runScene(new MainScene());
//                     }
//                 }
//             }, this),
//             cc.delayTime(0.2)
//         ).repeat(spriteFrameList.length + 1));

        for(var i=0,len=spriteFrameList.length;i<len;i++){
            if(spriteFrameList[i])
                cc.spriteFrameCache.addSpriteFrames(spriteFrameList[i]);
        }

        //设置游戏总时长
        setGameTime();

        //trace("~~~~~~");
        //var str="";
        //for(var i=0;i<levelConfig.length;i++){
        //    str+='"'+levelConfig[i]["className"]+'",\n';
        //}
        //trace(str);

    },
    onEnter: function () {
        this._super();
        //new LoadingLayer().addToCurScene();
        if(isWeb==1 && isBrowser()){
            // cc.director.runScene(new ReadyScene(_preSelectLevel));

            //初始化关卡文案
            initLevelWordConfig(getClassName(_preSelectLevel));

            //添加关卡资源
            addLevelSpriteFrames(getClassName(_preSelectLevel));

            removeMainScenePlist(function () {
                try {
                    cc.director.runScene(eval("new " + getClassName(_preSelectLevel) + "()"));
                } catch (err) {
                    trace("场景有错误（自动跳到测试页面）：" + err);
                    cc.director.runScene(new HelloWorldScene());
                }
            });
        }else{
            cc.director.runScene(new MainScene());
        }
    }
});