cc.game.onStart = function () {
    cc.view.adjustViewPort(true);
    if (isMobile()) {
        cc.view.setDesignResolutionSize(860, 1136, cc.ResolutionPolicy.FIXED_HEIGHT);
    } else {

        //以下代代码测试用：start

        //var number  = Math.floor((Math.random()*1000))%6;
        //number=0;
        //switch(number){
        //
        //    case 0:
        //        cc.view.setDesignResolutionSize(640, 1136, cc.ResolutionPolicy.SHOW_ALL);
        //        cc.log("屏幕大小1：640, 1136");
        //        break;
        //    case 1:
        //        cc.view.setDesignResolutionSize(700, 1136, cc.ResolutionPolicy.SHOW_ALL);
        //        cc.log("屏幕大小2：700, 1136");
        //        break;
        //    case 2:
        //        cc.view.setDesignResolutionSize(720, 1136, cc.ResolutionPolicy.SHOW_ALL);
        //        cc.log("屏幕大小3：720, 1136");
        //        break;
        //    case 3:
        //        cc.view.setDesignResolutionSize(768, 1136, cc.ResolutionPolicy.SHOW_ALL);
        //        cc.log("屏幕大小4：768, 1136");
        //        break;
        //    case 4:
        //        cc.view.setDesignResolutionSize(800, 1136, cc.ResolutionPolicy.SHOW_ALL);
        //        cc.log("屏幕大小5：800, 1136");
        //        break;
        //    default:
        //        cc.view.setDesignResolutionSize(860, 1136, cc.ResolutionPolicy.SHOW_ALL);
        //        cc.log("屏幕大小6：860, 1136");
        //        break;
        //}
        //以下代代码测试用：end

//        正式发布请用以下代码
        if (window.innerWidth / window.innerHeight >= 860 / 1136) {
            cc.view.setDesignResolutionSize(860, 1136, cc.ResolutionPolicy.SHOW_ALL);
        } else {
            cc.view.setDesignResolutionSize(860, 1136, cc.ResolutionPolicy.FIXED_HEIGHT);
        }
    }

    cc.view.resizeWithBrowserSize(true);

    //初始化关卡配置表
    initLevelConfig();
    _preSelectLevel=getSelectLevel();

    if (getMusicOffStatus() == "0") {
        setSoundOpenOrNot(false);
    }

    setIsReview();

    if (isMobile()) {
        isTestMode = 0;
        isWeb = 0;

        if (isMobile("iOS") || (isMobile("Android") && isReview != 1)) {
            //获取推荐应用列表
            CommonPlatform.getInstance().getRecommendAppCallback = function (data) {
                recommendAppData = getRecommend(data);
                trace("推荐应用列表：", data);
            };
            CommonPlatform.getInstance().getRecommendApp();
        }

        //添加金币回调
        CommonPlatform.getInstance().addGoldCallback = function (num) {
            addGoldNum(num, true);
        };

        //覆盖回调
        CommonPlatform.getInstance().coverEnterCallBack = function () {
            _pauseGame();
        };

        //关闭覆盖回调
        CommonPlatform.getInstance().coverCloseCallBack = function () {
            _resumeGame();
        };

        //观看视频广告回调
        CommonPlatform.getInstance().videoAdCallBack = function (bool) {
            cc.log("视屏广告回调：" + bool);
            var lookVideoGold = getOnlineData("lookVideoGold");
            if (!lookVideoGold || lookVideoGold == "") {
                lookVideoGold = 2;
            }
            //addGoldNum(lookVideoGold, true);
            showGoldChange(lookVideoGold);
            setTimeout(function () {
                addGoldNum(lookVideoGold);
            }, 2000);
        };

        //当前视频广告状态回调
        CommonPlatform.getInstance().videoStateCallBack = function (type) {
            cc.log("当前视频广告状态：" + type);
            switch (type) {
                case "onEnter":
                    pauseMusic();
                    cc.director.pause();
                    break;
                case "onExit":
                    resumeMusic();
                    cc.director.resume();
                    break;
                default:
                    break;
            }
        };

        //声音开关
        CommonPlatform.getInstance().getSoundOffCallBack = function (offType) {
            switch (offType) {
                case "0":
                    setSoundOpenOrNot(false);
                    break;
                case "1":
                    setSoundOpenOrNot(true);
                    break;
                default:
                    break;
            }
        }

        CommonPlatform.getInstance().postPay=function(data){
            if(isBuySuccess(data)){
                var json = JSON.parse(data);
                switch(json["id"]) {
                    case 1001:
                        addGoldNum(10,true,true);
                        break;
                    case 1002:
                        addGoldNum(30,true,true);
                        break;
                    case 1003:
                        addGoldNum(50,true,true);
                        break;
                    case 1004:
                        addGoldNum(120,true,true);
                        break;
                    case 1005:
                        addGoldNum(300,true,true);
                        break;
                    case 1006:

                        var curScene=cc.director.getRunningScene();
                        if(curScene && curScene.gameWin) {
                            setDelay(curScene, 0.1, function () {
                                curWindow.removeFromParent();
                                curWindow.closeCallback();
                                curScene.gameWin("", 1);
                            });
                        }else {
                            setLevelStatusByLevel(getLevelPassNum()+1, 1);
                        }

                        break;
                }
            }
        }
    }

    var webResList=[
        res,
        res_GameOver,
        res_Loading,
        res_common,
        res_sound,
        res_webCommon,
        res_levelCommon
    ];
    if (isWeb == 1) {
        var paramStr = location.href.split("?").pop();
        var isCheckLevel = false;
        if (paramStr) {
            var param = paramStr.split("&");
            for (var i = 0; i < param.length; i++) {
                if (param[i].match(/level=/g)) {
                    _preSelectLevel = param[i].replace(/level=/g, "");
                    _preSelectLevel = parseInt(_preSelectLevel.substr(0, 2));
                    if (isNaN(_preSelectLevel)) {
                        //_preSelectLevel=1;
                    } else if (_preSelectLevel > gameMaxLevel) {
                        _preSelectLevel = gameMaxLevel;
                    } else {
                        isCheckLevel = true;
                    }
                    break;
                }
            }
        }
        if (!isCheckLevel) {
            var state = {
                title: "这游戏有毒——第" + _preSelectLevel + "关",
                url: location.href.split("?")[0] + "?level=" + _preSelectLevel
            };
            if (history.replaceState) {
                history.replaceState(state, "这游戏有毒", state.url);
            } else {
                location.href = state.url;
            }
        }

        try{
            webResList.push(eval("res_"+levelClassName[_preSelectLevel-1]));
        }catch(err){
            cc.log(err);
        }
        try{
            webResList.push(eval("res_"+levelClassName[_preSelectLevel-1]+"_sound"));
        }catch(err){
            cc.log(err);
        }
    }

    //加载资源列表
    var g_resources = [];

    //资源路径列表
    if(isWeb==1){

        for(var j=0;j<webResList.length;j++){
            for (var i in webResList[j]) {
                if(webResList[j][i].match(/\.(png|plist|fnt)/)){
                    g_resources.push(webResList[j][i]);
                }
            }
        }
    }else{
        for (var j = 0; j < RES_LIST.length; j++) {
            for (var i in RES_LIST[j]) {
                if (isBrowser()) {
                    if (RES_LIST[j][i].match(/\.(png|plist|fnt)/)) {
                        g_resources.push(RES_LIST[j][i]);
                    }
                } else {
                    if (RES_LIST[j][i].match(/\.(png|plist|mp3|wav|fnt)/)) {
                        g_resources.push(RES_LIST[j][i]);
                    }
                }
            }
        }
    }

    // g_resources.push({
    //
    //     type: "font",
    //
    //     name: "AaQingCong",
    //
    //     srcs: ["res/font/AaQingCong.ttf"]
    //
    // });

    cc.LoaderScene.preload(g_resources, function () {
        cc.director.runScene(new LoadingScene());
    }, this);


//恢复显示
    cc.eventManager.addCustomListener(cc.game.EVENT_SHOW, function(event){
        touchBtnList=[];
    });
};
cc.game.run();
