/**
 * Created by eeee on 17/1/4.
 */

var GameScene11Layer=cc.Layer.extend({
    seekNum:0,
    differencesList:[],
    ctor:function(){
        this._super();
        var _this=this;

        var touchView=new cc.Layer();
        this.addChild(touchView);
        addTouchCallBack(touchView,function(touch){
            var touchPos=touch.getLocation();
            showWrong(touchPos.x,touchPos.y);
        });


        var photo1=createLevelSprite("t2_11_p1.png");
        photo1.attr({
            x:winCenter().x,y:winCenter().y+136.8
        });
        this.addChild(photo1);

        var photo2=createLevelSprite("t2_11_p2.png");
        photo2.attr({
            x:photo1.x,y:photo1.y-photo1.height-10
        });
        this.addChild(photo2);

        var differencesListParam=[
            {width:57,height:51.5,x:105,y:282},
            {width:49,height:28.5,x:103,y:74.5},
            {width:135.5,height:59.5,x:339,y:305},
            {width:46,height:32.5,x:405,y:112.5},
            {width:90.7,height:40,x:212.5,y:204.5}
        ];

        this.differencesList=[];

        for(var i=0;i<differencesListParam.length;i++){
            var param=differencesListParam[i];
            var rect=createRectSprite(param.width,param.height,cc.color(255,0,0));
            rect.attr({
                x:param.x,
                y:param.y,
                opacity:0
            });
            rect.num=i;
            photo1.addChild(rect);
            addTouchCallBack(rect,function(){
                _this.seek(this);
            });

            var rect2=createRectSprite(param.width,param.height,cc.color(255,0,0));
            rect2.attr({
                x:param.x,
                y:param.y,
                opacity:0
            });
            rect2.num=i;
            photo2.addChild(rect2);
            addTouchCallBack(rect2,function(){
                _this.seek(this);
            });

            this.differencesList.push([rect,rect2]);
        }

    },
    seek:function(differencesRect){
        this.seekNum++;

        differencesRect.callback=null;
        this.circlesAnswer(differencesRect["num"]);

        if(this.seekNum>=5){
            showRight();
        }
    },
    circlesAnswer:function(num){
        var differencesList=this.differencesList[num];
        for(var i=0;i<differencesList.length;i++){
            var differences=differencesList[i];
            differences.callback=null;
            addCircles(differences.parent,differences.x,differences.y,0.6);
        }
    }
});

var GameScene11=GameSceneBase.extend({
    layer:null,
    ctor:function(){
        this._super();
        this.layer=new GameScene11Layer();
        this.addChild(this.layer);
    }
});