/**
 * Created by mac_henry on 16/6/18.
 */
var GameScene29Layer = cc.Layer.extend({
    ctor: function () {
        this._super();

        var answerSelect3=createSelectViews({
            A:{img:"q_1.png",txt:"意大利、澳大利亚"},
            B:{img:"q_2.png",txt:"美利坚、黎巴嫩"},
            C:{img:"q_3.png",txt:"利比亚、黎巴嫩"},
            D:{img:"q_4.png",txt:"意大利、美利坚"},
            answer:"A"
        });
        answerSelect3.attr({
            x:winCenter().x + 200,
            y:winCenter().y + 140
        });
        this.addChild(answerSelect3);
    }
});

function createSelectViews(param){
    var defaultParam={
        A:"答案1",
        B:"答案2",
        C:"答案3",
        D:"答案4",
        answer:"B"
    };
    cc.log("传入的：" + param["A"]["img"]);
    param = param || defaultParam;

    var view=new cc.Node();
    var answerList=["A","B","C","D"];
    var btnList=[];
    var imgMaxSize={width:0,height:0};
    for(var i=0;i<answerList.length;i++){
        var curAnswer=answerList[i];
        var callback = function(){
            var convertPos=this.parent.convertToWorldSpace(cc.p(this.x,this.y));
            if(this.answer==param.answer){
                showRight(convertPos.x,convertPos.y);
            }else{
                showWrong(convertPos.x,convertPos.y,null,param[curAnswer]["overKey"]);
            }
        }

        var imgBtn=createButton({img:param[curAnswer]["img"]});
        view.addChild(imgBtn);
        imgBtn.answer=curAnswer;
        imgBtn.callback = callback;

        var txtLab = createLabel(param[curAnswer]["txt"],36,cc.color(255, 255, 255));
        view.addChild(txtLab);
        txtLab.answer = curAnswer;
        addTouchCallBack(txtLab,callback);

        btnList.push({imgBtn:imgBtn,txtLab:txtLab});

        imgMaxSize.width=Math.max(imgBtn.width,imgMaxSize.width);
        imgMaxSize.height=Math.max(imgBtn.height,imgMaxSize.height);

    }

    for(var j=0;j<btnList.length;j++){
        btnList[j]["imgBtn"].attr({
            anchorY:0,
            x:-Math.max(imgMaxSize.width/2+40,135) ,
            y:j*-Math.max(imgMaxSize.height+20,180)
        });

        btnList[j]["txtLab"].attr({
            anchorY:1,
            x:btnList[j]["imgBtn"].x - 50,
            y:btnList[j]["imgBtn"].y-10
        });

        var number=createLabel(answerList[j]+"、",36,cc.color(255,255,255));
        number.attr({
            x:btnList[j]["txtLab"].x-btnList[j]["txtLab"].width/2-20,
            y:btnList[j]["txtLab"].y-btnList[j]["txtLab"].height/2
        });
        view.addChild(number);
    }
    return view;
}

var GameScene29 = GameSceneBase.extend({
    layer: null,
    ctor: function () {
        this._super();
        this.layer = new GameScene29Layer();
        this.addChild(this.layer);
    }
});