/**
 * Created by eeee on 17/1/5.
 */

var GameScene43Layer=cc.Layer.extend({
    water:null,
    duck:null,
    chicken:null,
    isRotateLeft:false,
    ctor:function(){
        this._super();
        var _this=this;

        var bg=createLevelSprite("t2_43_bg.png");
        bg.attr({
            x:winCenter().x,y:winCenter().y
        });
        this.addChild(bg);

        var water=createLevelSprite("t2_43_shui_1.png");
        water.attr({
            x:436.4,y:141.5
        });
        bg.addChild(water);
        this.water=water;

        var chicken=createLevelSprite("t2_43_xiaoji.png");
        chicken.attr({
            x:115,y:237.6
        });
        bg.addChild(chicken);
        this.chicken=chicken;
        addTouchCallBack(chicken,function(){
            _this.chickenJump();
        });

        var duck=createLevelSprite("t2_43_yazi.png");
        duck.attr({
            x:245.5,y:68.4
        });
        bg.addChild(duck);
        this.duck=duck;
        addTouchCallBack(duck,function(){
            _this.chickenJump();
        });

    },
    accCallback:function(x,y,z){
        if(x<-0.8){
            if(!this.isRotateLeft){
                this.isRotateLeft=true;

                var _this=this;
                setDelay(this,0.5,function(){
                    _this.changeWater();
                });
            }
        }else if(this.isRotateLeft){
            this.isRotateLeft=false;
            this.stopAllActions();
        }
    },
    changeWater:function(){
        closeAccelerometer();
        createUnTouchLayer(0,false);

        setSpriteTxture(this.water,"t2_43_shui_2.png");
        this.water.attr({
            x:237.4,y:114.4
        });

        this.duck.attr({
            x:244.1,y:220.0
        });

        setDelay(this,1,function(){
            showRight();
        });
    },
    chickenJump:function(){
        closeAccelerometer();
        createUnTouchLayer(0,false);

        this.chicken.runAction(cc.sequence(
            cc.jumpTo(1,cc.p(191.4,68.4),140,1),
            cc.delayTime(1),
            cc.callFunc(function(){
                showWrong();
            })
        ));
    }
});

var GameScene43=GameSceneBase.extend({
    layer:null,
    ctor:function(){
        this._super();
        this.layer=new GameScene43Layer();
        this.addChild(this.layer);
    },
    onEnter:function(){
        this._super();
        openAccelerometer();
    }
});