/**
 * Created by eeee on 17/1/5.
 */

var GameScene59Layer=cc.Layer.extend({
    plane:null,
    star:null,
    shakeCount:0,
    shakeCnt:0,
    ctor:function(){
        this._super();

        var star=createLevelSprite("t2_59_star.png");
        star.attr({
            x:winCenter().x+188.5,y:winCenter().y+143.7
        });
        this.addChild(star);
        this.star=star;

        var plane=createLevelSprite("t2_59_feiji.png");
        plane.attr({
            x:winCenter().x+-150.5,y:winCenter().y+149.2
        });
        this.addChild(plane);


        var touchView=new cc.Layer();
        this.addChild(touchView);
        addTouchCallBack(touchView,function(){
            createUnTouchLayer(0,false);
            plane.runAction(cc.sequence(
                cc.moveTo(0.5,cc.p(star.x-100,winCenter().y+149.2)),
                cc.callFunc(function(){
                    star.runAction(cc.sequence(
                        cc.moveBy(0.5,cc.p(300,113)),
                        cc.delayTime(0.5),
                        cc.callFunc(function(){
                            closeAccelerometer();
                            showWrong();
                        })
                    ));
                })
            ));
        });
    },
    accCallback:function(x,y,z){
        var all=x*x+y*y+z*z;

        if(all<1.2){
            if (this.shakeCnt>2) {
                this.shakeCount++;
                this.stopAllActions();

                if(this.shakeCount>4){
                    createUnTouchLayer(0,false);
                    closeAccelerometer();

                    this.star.runAction(cc.sequence(
                        cc.blink(1.6,3),
                        cc.fadeOut(0.2),
                        cc.callFunc(function(){
                            showRight();
                        })
                    ))
                }else{
                    setDelay(this,1,function(){
                        this.shakeCount=0;
                    });
                }
            }
            this.shakeCnt=0;
        }else if (all>2){
            this.shakeCnt++;
        }
    }
});

var GameScene59=GameSceneBase.extend({
    layer:null,
    ctor:function(){
        this._super();
        this.layer=new GameScene59Layer();
        this.addChild(this.layer);
    },
    onEnter:function(){
        this._super();
        openAccelerometer();
    }
});