/**
 * Created by eeee on 17/1/5.
 */

var GameScene64Layer=cc.Layer.extend({
    ctor:function(){
        this._super();

        var bg=createLevelSprite("t2_64_guaguale.png");
        bg.attr({
            x:winCenter().x,y:winCenter().y+-51.5
        });
        this.addChild(bg);

        var guaAnswer=createLevelSprite("t2_64_gua2.png");
        guaAnswer.attr({
            x:230.8,y:218.7
        });
        bg.addChild(guaAnswer);

        //刮刮卡
        var gua=createLevelSprite("t2_64_gua1.png");
        gua.attr({
            x:guaAnswer.x,y:guaAnswer.y
        });
        bg.addChild(gua);
        addTouchCallBack(gua);

        gua.endCallback=function(){
            if(gua.opacity<180){
                createUnTouchLayer(0,false);
                gua.runAction(cc.sequence(
                    cc.fadeOut(0.4),
                    cc.callFunc(function(){
                        showWrong();
                    })
                ));
            }
        }

        gua.moveCallback=function(touch,event){
            var convertPos=this.convertToNodeSpace(touch.getLocation());
            if(cc.rectContainsPoint(this.getBoundingBox(),convertPos)) {
                if(gua.opacity>0){
                    gua.opacity-=3;
                }
            }
        }


        //文字
        var label=createLabel("500万",28,cc.color(255,255,255));
        label.attr({
            anchorY:1,
            x:252.5,
            y:986,
            opacity:0
        });
        this.addChild(label);

        var label2=createLabel("彩票",null,cc.color(255,255,255));
        label2.attr({
            anchorY:1,
            x:label.x,
            y:label.y
        });
        this.addChild(label2);
        addTouchCallBack(label2);

        label2.endCallback=function(){
            if(label.opacity>200){
                label.opacity=255;
                label2.opacity=0;
                createUnTouchLayer(0,false);
                addCircles(cc.director.getRunningScene(),label.x,label.y,0.7);
                setDelay(this,1,function(){
                    showRight();
                })
            }else{
                label.opacity=0;
                label2.opacity=255;
            }
        }

        label2.moveCallback=function(){
            if (label.opacity < 255) {
                label.opacity += 3;
                label2.opacity -= 3;
            }
        }
    }
});

var GameScene64=GameSceneBase.extend({
    layer:null,
    ctor:function(){
        this._super();
        this.layer=new GameScene64Layer();
        this.addChild(this.layer);
    }
});