/**
 * Created by xuy on 17/1/4.
 */
var GameScene66Layer = cc.Layer.extend({
    ctor: function () {
        this._super();

        var sprite = createLevelSprite("t2_66_hei.png");
        sprite.attr({
            x: winCenter().x,
            y: winCenter().y - 100
        });
        this.addChild(sprite);

        for(var i = 1; i <= 3; i ++){
            for(var j = 1; j <= 4; j ++){
                var button = createButton({img:"t2_66_btn.png"});
                button.x = (i - 1)*(button.width + 55) + button.width + 15;
                button.y = sprite.height - 100 - (j-1)*(button.height + 55);
                button.callback = function(){
                    showWrong(sprite.x,sprite.y);
                }
                var num = i+(j-1)*3;
                var label = createLabel(""+num, 24 , cc.color(0,0,0));
                label.attr({
                    x: button.width/2,
                    y: button.height/2
                });
                if(num>9){
                    if(num == 10){
                        label.setString("*");
                    }else if(num == 11){
                        label.setString("0");
                    }else{
                        label.setString("#");
                    }
                }
                button.addChild(label);
                sprite.addChild(button);
            }
        }


        var txtRect=createRectSprite(142.5,32.5,cc.color(255,0,0));
        txtRect.attr({
            x:280,
            y:965,
            opacity:0
        });
        this.addChild(txtRect);
        addTouchCallBack(txtRect,function(){
            createUnTouchLayer(0,false);
            addCircles(cc.director.getRunningScene(),txtRect.x,txtRect.y,1.1,0.7);
            setDelay(this,1,function(){
                showRight(txtRect.x,txtRect.y,0.7);
            });
        });

        // var txtRect2=createRectSprite(80,32.5,cc.color(255,0,0));
        // txtRect2.attr({
        //     x:85,
        //     y:925,
        //     visible:false,
        //     opacity:0
        // });
        // this.addChild(txtRect2);
        // addTouchCallBack(txtRect2,function(){
        //     createUnTouchLayer(0,false);
        //     addCircles(cc.director.getRunningScene(),txtRect.x,txtRect.y,1.1,0.7);
        //     setDelay(this,1,function(){
        //         showRight(txtRect.x,txtRect.y,0.7);
        //     });
        // });

        // switch(winSize().width){
        //     case 700:
        //     case 720:
        //         txtRect.setTextureRect(cc.rect(0,0,80,32.5));
        //         txtRect.x+=500;
        //         txtRect.y+=44;
        //
        //         txtRect2.visible=true;
        //         break;
        //     case 768:
        //         txtRect.setTextureRect(cc.rect(0,0,108,32.5));
        //         txtRect.x+=520;
        //         txtRect.y+=44;
        //         break;
        //     case 800:
        //     case 852:
        //     case 860:
        //         txtRect.x+=536;
        //         txtRect.y+=44;
        //         break;
        // }

        trace("~~~~~~~",winSize().width)

    }
});

var GameScene66 = GameSceneBase.extend({
    layer: null,
    ctor: function () {
        this._super();
        this.layer = new GameScene66Layer();
        this.addChild(this.layer);
    }
});