/**
 * Created by a123123 on 17/1/4.
 */

var GameScene79Layer = cc.Layer.extend({
    rect2:null,
    ctor:function(){
        this._super();
        var _this=this;

        var sprList = new Array();
        for(var i=0;i<5;i++){
            var spr = createLevelSprite("t2_79_mutou.png");
            spr.attr({
                x: winCenter().x + ((i - 2) * -90),
                y: winCenter().y - 100
            });

            this.addChild(spr);
            sprList.push(spr);
            spr = null;
        }

        for(var i=0;i<sprList.length;i++){
            var spr = sprList[i];
            if(i==4){
                var rect2=createRectSprite(20,20,cc.color(255,0,0));
                rect2.attr({
                    x:spr.x + spr.width * 0.5,
                    y:spr.height + spr.y,
                    opacity:0
                });
                this.addChild(rect2);
                this.rect2=rect2;
            }

            if(i==2){
                var rect=createRectSprite(10,10,cc.color(255,0,0));
                rect.attr({
                    x:spr.width * 0.5,
                    y:spr.height * 0.5,
                    opacity:0
                });
                spr.addChild(rect);
                addTouchCallBack(spr,function(touch,event){
                    var rectPost = rect.parent.convertToWorldSpace(cc.p(rect.x,rect.y));
                    if(cc.rectIntersectsRect(_this.rect2.getBoundingBox(),{x:rectPost.x,y:rectPost.y,width:rect.width,height:rect.height})){
                        showRight(this.x,this.y);
                    }else{
                        showWrong(this.x,this.y);
                    }
                },true,function(touch,event,delta){
                    var target=event.getCurrentTarget();
                    target.x+=delta.x;
                    target.y+=delta.y;
                });
            }else{
                addTouchCallBack(spr,function(touch,event){
                    showWrong(this.x,this.y);
                },true,function(touch,event,delta){

                    var target=event.getCurrentTarget();
                    target.x+=delta.x;
                    target.y+=delta.y;
                });
            }

            spr.beganCallback=function(touch,event){
                var target=event.getCurrentTarget();
                target.zIndex=10;
            }
        }
    }

});

var GameScene79 = GameSceneBase.extend({
    layer: null,
    ctor: function () {
        this._super();
        this.layer = new GameScene79Layer();
        this.addChild(this.layer);
    }
});
