/**
 * Created by eeee on 17/1/6.
 */

var GameScene88Layer = cc.Layer.extend({
    rectList:[],    //矩形列表
    fillList:[],    //填充符号的矩形编号
    ctor: function () {
        this._super();
        var _this=this;

        this.rectList=[];
        this.symbolList=[];
        this.fillList=[];

        var content=createSprite();
        this.addChild(content);
        content.setPosition(winCenter());
        content.scale=0.8;

        for(var i= 0;i<8;i++) {
            var eight=createLevelSprite("t2_88_8.png");
            eight.attr({
                x:(i-3.5)*75,
                y:45
            });
            content.addChild(eight);

            if(i<7){
                //符号碰撞矩形
                var rect=createRectSprite(25,55);
                rect.attr({
                    opacity:0,
                    x:eight.x+37,
                    y:eight.y
                });
                rect.num=i+1;
                content.addChild(rect);
                this.rectList.push(rect);
            }

            if(i<4){
                //符号
                var symbol=createLevelSprite("t2_88_add.png");
                symbol.attr({
                    x:(i-1.5)*96,
                    y:182
                });
                symbol.initX=symbol.x;
                symbol.initY=symbol.y;
                content.addChild(symbol,1);
                addTouchCallBack(symbol,function(){
                    _this.cheackHit(this);
                },true,function(touch){
                    var delta=touch.getDelta();
                    this.x+=delta.x*(2-content.scale);
                    this.y+=delta.y*(2-content.scale);
                });
                symbol.beganCallback=function(){
                    this.zIndex=1;
                }
            }
        }

        var result=createLevelSprite("t2_88_1000.png");
        result.attr({
            x:0,
            y:-85
        });
        content.addChild(result);

    },
    cheackHit:function(symbol){
        var isHit=false;
        for(var i=0;i<this.rectList.length;i++){
            var rect=this.rectList[i];
            if(isHitTest(symbol,rect)){
                isHit=true;
                symbol.setTouchEnabled(false);
                symbol.x=rect.x;
                symbol.y=rect.y;

                this.rectList.splice(i,1);
                this.fillList.push(rect.num);
                cc.log(this.fillList);
                break;
            }
        }

        if(!isHit){
            symbol.x=symbol.initX;
            symbol.y=symbol.initY;
        }

        if(this.fillList.length>=4){
            this.fillList.sort(function(a,b){
                return b-a;
            });


            var arr=[8,8,8,8,8,8,8,8];
            for(var i=0;i<this.fillList.length;i++){
                arr.splice(this.fillList[i],0,"+");
            }

            cc.log(arr);
            var num=eval(arr.join(""));
            setDelay(this,0.5,function(){
                if(num==1000){
                    showRight();
                }else{
                    showWrong();
                }
            });
        }
    }
});

var GameScene88 = GameSceneBase.extend({
    layer: null,
    ctor: function () {
        this._super();
        this.layer = new GameScene88Layer();
        this.addChild(this.layer);
    }
});