/**
 * Created by eeee on 17/1/5.
 */

var GameScene90Layer=cc.Layer.extend({
    selectNum:0,
    keng:null,
    cow:null,
    forg:null,
    ctor:function(){
        this._super();

        var _this=this;

        _this.keng = createLevelSprite("t2_90_keng.png");
        _this.keng.attr({
            x:winCenter().x - 50,
            y:winCenter().y
        });
        this.addChild(_this.keng);

        for(var i=0;i<3;i++){
            var rect=createRectSprite(70,70);
            rect.attr({
                x:45+i*105,
                y:40,
                opacity:0
            });
            _this.keng.addChild(rect);
            addTouchCallBack(rect,function(){
                var convertPos=this.parent.convertToWorldSpace(this.getPosition());
                addCircles(_this,convertPos.x,convertPos.y,0.8);
                showWrong();
            });
        }

        //牛
        var cow = createLevelSprite("t2_90_cow.png");
        cow.attr({
            x:winCenter().x + 180,
            y:winCenter().y - 250
        });
        this.addChild(cow);
        addTouchCallBack(cow,false);
        this.cow=cow;
        cow.endCallback=function(){
            _this.selectNum--;
        }
        cow.beganCallback=function(){
            _this.selectBingo(this);
        }

        var label1 = createLabel("牟", 30 , cc.color(255,255,255));
        label1.attr({
            x: 10,
            y: 10
        });
        cow.addChild(label1);

        var line1 = createLevelSprite("t2_90_dialogue.png");
        line1.attr({
            x:35,
            y:35
        });
        cow.addChild(line1);

        //青蛙
        var forg = createLevelSprite("t2_90_frog.png");
        forg.attr({
            x:cow.x - 20,
            y:cow.y+135
        });
        this.addChild(forg);
        this.forg=forg;
        addTouchCallBack(forg,null,false);
        forg.endCallback=function(){
            _this.selectNum--;
        }
        forg.beganCallback=function(){
            _this.selectBingo();
        }

        var label2 = createLabel("呱", 30 , cc.color(255,255,255));
        label2.attr({
            x: forg.width + 30,
            y: forg.height + 30
        });
        forg.addChild(label2);

        var line2 = createLevelSprite("t2_90_dialogue.png");
        line2.attr({
            x:label2.x -25,
            y:label2.y - 25
        });
        forg.addChild(line2);
    },
    selectBingo:function(){
        this.selectNum++;

        if(this.selectNum==2){
            addCircles(cc.director.getRunningScene(),this.cow.x,this.cow.y,0.7);
            addCircles(cc.director.getRunningScene(),this.forg.x,this.forg.y,0.7);

            var mugua1 = createLevelSprite("t2_90_pawpaw.png");
            mugua1.attr({
                x:this.keng.width/2 - 50,
                y:this.keng.height/2 + 80
            });
            this.keng.addChild(mugua1);

            var mugua2 = createLevelSprite("t2_90_pawpaw.png");
            mugua2.attr({
                x:this.keng.width/2 + 130,
                y:this.keng.height/2 + 95
            });
            this.keng.addChild(mugua2);

            showRight();
        }
    }
});

var GameScene90=GameSceneBase.extend({
    layer:null,
    ctor:function(){
        this._super();
        this.layer=new GameScene90Layer();
        this.addChild(this.layer);
    }
});