/**
 * Created by weicheng on 15/10/9.
 *
 * 提示窗口
 */

var GameTipsLayer = PanelViewBase.extend({
    tipsLockStatus: 0,
    _unLockneedGold: [1, 2, 3],
    _btn_list: [],
    _tipsWord_list: null,
    isShowAd:true,
    ctor: function () {
        this._super();
        this.initSurface();
    },
    initSurface: function () {

        this.tipsLockStatus = getLevelTipsLockStatusByLevel(_preSelectLevel);

        if (getIsBuyMasterPackage() == 1 || isWeb == 1 || isWeb == 2) {
            this.tipsLockStatus = 3;
        }

        if (isMobile()) {
            var onlineUnlockGold = getOnlineData("tipsUnLockGold");
            if (onlineUnlockGold && onlineUnlockGold != "") {
                var onlineArr = onlineUnlockGold.split(",");
                for (var i = 0; i < onlineArr.length; i++) {
                    if (onlineArr[i] && onlineArr[i] != "") {
                        this._unLockneedGold[i] = onlineArr[i];
                    }
                }
                trace(this._unLockneedGold);
            }
        }

        //外框
        this.frame = createSprite(getResImg("panel_1.png"));
        // this.frame.scale = 0.8
        this.nodeUI_.addChild(this.frame);


        // //视频按钮
        // var videoBtn = createButton("guanq_prompt_btn_Broadcast.png");
        // videoBtn.attr({
        //     x: returnBtn.x - 120,
        //     y: returnBtn.y
        // });
        // this.frame.addChild(videoBtn);
        // videoBtn.callback = function () {
        //
        // }.bind(this);
        //
        // //提示文字
        // var tips = createLabel("免费金钥匙", 20, cc.color(255, 255, 255));
        // tips.attr({
        //     x: videoBtn.width /2,
        //     y: videoBtn.height/2 - 60
        // });
        // videoBtn.addChild(tips);

        var titleBg = createLevelSprite("panel_title.png");
        titleBg.attr({
            x:this.frame.width/2,
            y: this.frame.height-titleBg.height/2+15
        });
        this.frame.addChild(titleBg);

        var title = createLabel("提示", 47,cc.color(79,76,75));
        title.attr({
            x: titleBg.width / 2+15,
            y: titleBg.height/2-2
        });
        titleBg.addChild(title);

        //装饰
        var pen=createLevelSprite("panel_pen.png");
        pen.attr({
            x:85,
            y:130
        });
        this.frame.addChild(pen);


        //关闭按钮
        var returnBtn = createButton("guanq_prompt_btn6.png");
        returnBtn.attr({
            x: this.frame.width - 30,
            y: this.frame.height - 40
        });
        returnBtn.setScale(1.4);
        this.frame.addChild(returnBtn);
        returnBtn.callback = function () {
            _resumeGame();
            this.onClose();
        }.bind(this);

        this.createBtnList();
        this.changeTips();

        if(cc.director.getWinSize().width/cc.director.getWinSize().height < 0.53){
            this.frame.scale = 0.75;
        }
    },
    createBtnList: function () {
        var _this = this;
        this._btn_list = [];
        for (var i = 0; i < 3; i++) {
            this._btn_list[i] = createButton({img: getResImg("guanq_prompt_jse3.png"), clickScale: 1});
            var btn = this._btn_list[i];
            btn.attr({
                x: this.frame.width / 2 - 179 + i * 178,
                y: this.frame.height - 130
            });
            this.frame.addChild(btn);

            btn.btnTick = createSprite(getResImg("guanq_prompt_jse2.png"));
            btn.btnTick.attr({
                x: btn.width / 2,
                y: btn.height / 2
            });
            btn.addChild(btn.btnTick);

            //var btnLabel = new cc.LabelTTF("提示" + (i + 1), "SentyMaruko-02-SP", 24);
            var btnLabel = createLabel("提示" + (i + 1), 30);
            btnLabel.attr({
                x: btn.width / 2 + 15,
                y: btn.height / 2
            });
            btn.addChild(btnLabel);
            btn._index = i;
            btn.callback = function () {
                _this.changeTips(this._index);
                if(_this.isShowAd){
                    _this.isShowAd=false;

                    //展示提示广告位
                    showAd("gameTips");
                }
            };

            btn.lock = createSprite(getResImg("guanq_prompt_suo.png"));
            btn.lock.attr({
                x: btn.width - 18,
                y: btn.height / 2 + 15,
                visible: false
            });
            btn.addChild(btn.lock);
        }
    },
    changeTips: function (num) {
        num = num || 0;
        for (var i = 0; i < this._btn_list.length; i++) {
            var btn = this._btn_list[i];
            if (i == num) {
                btn.btnTick.visible = true;
            } else {
                btn.btnTick.visible = false;
            }
            if (this.tipsLockStatus < (i + 1)) {
                btn.lock.visible = true;
            } else {
                btn.lock.visible = false;
            }
        }
        this.createTipsWord(num);
    },
    createTipsWord: function (num) {
        if (this._tipsWord_list) {
            this._tipsWord_list.runAction(cc.removeSelf());
            this._tipsWord_list = null;
        }
        this._tipsWord_list = this.createTipsItem(num);
    },
    createTipsItem: function (index) {
        var tipsWordFrame = new cc.Node();
        tipsWordFrame.attr({
            x: this.frame.width / 2,
            y: this.frame.height - 350
        });
        this.frame.addChild(tipsWordFrame);

        if (this.tipsLockStatus >= (index + 1)) {
            //提示
            var tipsLabel = createLabel(getTipsWord(_preSelectLevel, (index + 1)), 30, null, cc.size(320, 120), cc.TEXT_ALIGNMENT_CENTER);
            tipsLabel.attr({
                x: tipsWordFrame.width / 2,
                y: tipsWordFrame.height / 2
                //color: cc.color(69, 64, 57)
            });
            tipsWordFrame.addChild(tipsLabel);

        } else {
            if (this.tipsLockStatus < index) {
                var unlockLabel1 = createLabel("请先解锁提示" + index, 30);
                unlockLabel1.attr({
                    x: tipsWordFrame.width / 2,
                    y: tipsWordFrame.height / 2 + 50
                    //color: cc.color(96, 72, 46)
                });
                tipsWordFrame.addChild(unlockLabel1);
            } else {
                var unlockBtn = createButton({img: getResImg("guanq_prompt_btn5.png")});
                unlockBtn.attr({
                    x: tipsWordFrame.width / 2,
                    y: tipsWordFrame.height / 2 + 100
                });
                tipsWordFrame.addChild(unlockBtn);
                var unlockLabel = createLabel("花" + this._unLockneedGold[index] + "金钥匙", 30);
                unlockLabel.attr({
                    x: unlockBtn.width / 2,
                    y: unlockBtn.height / 2
                    //color: cc.color(69, 64, 57)
                });
                unlockBtn.addChild(unlockLabel);
                unlockBtn.callback = function () {
                    trace("花" + this._unLockneedGold[index] + "金钥匙");
                    if (consumeGold(this._unLockneedGold[index], true)) {
                        this.unLockTips(index);
                    }
                }.bind(this);

                var _this = this;

                //求助按钮
                if (!isHideShare()) {
                    var helpBtn = createButton({img: getResImg("guanq_prompt_btn4.png")});
                    helpBtn.attr({
                        x: tipsWordFrame.width / 2,
                        y: tipsWordFrame.height / 2+10
                    });
                    tipsWordFrame.addChild(helpBtn);
                    var helpLabel = createLabel("求 助", 30);
                    helpLabel.attr({
                        x: helpBtn.width / 2,
                        y: helpBtn.height / 2
                        //color: cc.color(69, 64, 57)
                    });
                    helpBtn.addChild(helpLabel);
                    helpBtn.callback = function () {
                        share(1002, function () {
                            if (getLevelTipsLockStatusByLevel(_preSelectLevel) <= index) {
                                _this.unLockTips(index);
                            }
                        });
                    };

                    //分享提示
                    var shareTips = createLabel("分享到朋友圈可以查看提示", 30);
                    shareTips.attr({
                        x: tipsWordFrame.width / 2,
                        y: -80
                        //color: cc.color(96, 72, 46)
                    });
                    tipsWordFrame.addChild(shareTips);
                } else {
                    unlockBtn.y = tipsWordFrame.height/2+50;
                }
            }
        }
        return tipsWordFrame;
    },
    unLockTips: function (num) {
        num = num + 1;
        setLevelTipsLockStatusByLevel(_preSelectLevel, num);
        this.tipsLockStatus = num >= this.tipsLockStatus ? num : this.tipsLockStatus;
        this.changeTips(num - 1);
    }
});