/**
 * Created by weicheng on 15/10/7.
 *
 * 屏蔽层
 */

var SwallowViewBase = cc.Node.extend({
    blackBg: null,
    ctor: function () {
        this._super();
        this.initSwallowLayer_();
    },
    initSwallowLayer_: function () {

        //设置游戏总时长
        setGameTime();

        var blackBg = new cc.LayerColor(cc.color(0, 0, 0, 200));
        this.addChild(blackBg, -1);
        this.blackBg = blackBg;

        cc.eventManager.addListener({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                return true;
            },
            onTouchMoved: function (touch, event) {
            },
            onTouchEnded: function (touch, event) {
            }
        }, blackBg);
    },
    hideBlackBg:function(){
        this.blackBg.opacity=0;
    }
});